uk.gov.hmrc.ct.accounts.approval.boxes

# HmrcAccountsApproval

###
Related Doc: package boxes

#### case class HmrcAccountsApproval(ac199A: List[AC199A] = List.empty, ac8092: List[AC8092] = List.empty, ac8091: AC8091, ac198A: AC198A) extends CtBoxIdentifier with CtValue[HmrcAccountsApproval] with AccountsApproval with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AccountsApproval, ValidatableBox[AccountsBoxRetriever with FilingAttributesBoxValueRetriever], Validators, Input, CtValue[HmrcAccountsApproval], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HmrcAccountsApproval
2. Serializable
3. Serializable
4. Product
5. Equals
6. AccountsApproval
7. ValidatableBox
8. Validators
9. Input
10. CtValue
11. CtBoxIdentifier
12. AnyRef
13. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new HmrcAccountsApproval(ac199A: List[AC199A] = List.empty, ac8092: List[AC8092] = List.empty, ac8091: AC8091, ac198A: AC198A)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### val ac198A: AC198A

   Definition Classes
     HmrcAccountsApproval → AccountsApproval

7. #### val ac199A: List[AC199A]

   Definition Classes
     HmrcAccountsApproval → AccountsApproval

8. #### val ac8091: AC8091

   Definition Classes
     HmrcAccountsApproval → AccountsApproval

9. #### val ac8092: List[AC8092]

   Definition Classes
     HmrcAccountsApproval → AccountsApproval

10. #### def anyValuesPopulated: Boolean

    Definition Classes
      AccountsApproval

11. #### def approvalEnabled(boxRetriever: FilingAttributesBoxValueRetriever): Boolean

    Definition Classes
      HmrcAccountsApproval → AccountsApproval

12. #### def asBoxString: Option[String]

    Definition Classes
      CtValue

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

15. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

16. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

17. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

23. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def id: String

    Definition Classes
      CtBoxIdentifier

27. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### val name: String

    Definition Classes
      CtBoxIdentifier

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

35. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ValidatableBox

36. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

37. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def validate(boxRetriever: AccountsBoxRetriever with FilingAttributesBoxValueRetriever): Set[CtValidation]

    Definition Classes
      AccountsApproval → ValidatableBox

40. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

41. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

42. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

43. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

44. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

45. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

46. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

47. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

48. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

49. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

50. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

51. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

52. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

53. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

54. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

55. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

56. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

58. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

59. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

60. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

61. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

62. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

63. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

64. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

65. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

66. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

67. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

68. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

70. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

71. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

72. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

73. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

74. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

76. #### def value: HmrcAccountsApproval

    Definition Classes
      HmrcAccountsApproval → CtValue

77. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

78. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

79. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

   Definition Classes
     ValidatableBox
   Annotations
     @deprecated
   Deprecated

     (Since version 29-09-2016 or earlier)

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AccountsApproval

### Inherited from ValidatableBox[AccountsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from Validators

### Inherited from Input

### Inherited from CtValue[HmrcAccountsApproval]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped